Uploaded image for project: 'Guacamole'
  1. Guacamole
  2. GUACAMOLE-636

Bump Target Java Version to 1.8

    XMLWordPrintableJSON

    Description

    Per discussion in a recent pull request (see external link), this is a last-minute addition to the 1.0.0 release to bump the target Java version for everything except the guacamole-common API up to Java 1.8. The rationale is that Java 1.6 and 1.7 have both been unsupported for multiple years, and the risk of newer features and external requirements having issues with the older versions of Java is high and only going to increase. It's time.

      Attachments

        Issue Links

          Activity

            People

            • Assignee:
              vnick Nick Couchman
              Reporter:
              vnick Nick Couchman
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: